body{
    background-color: black;
}
.ddiv {
    position: relative;
    width:450px;
    height:480px;
}
.ddiv iframe {
    display: block;
    position: relative;
    z-index: 1;
}
.ddiv::before {
    background-color: rgba(255,255,155,.0);
    content: '';
    position: absolute;
    z-index: 2;
    box-shadow: inset 18px -15px 38px 68px black;
    top: 0;
    right: 0;
    bottom: 0;
    left: 0;
    pointer-events: none;
}